join
levenshtein
String Functions
PHP Manual

# lcfirst

Make a string's first character lowercase

### Description

string lcfirst ( string `$str` )

Returns a string with the first character of `str` , lowercased if that character is alphabetic.

Note that 'alphabetic' is determined by the current locale. For instance, in the default "C" locale characters such as umlaut-a (ä) will not be converted.

### Parameters

`str`

  The input string.

### Return Values

Returns the resulting string.

### Examples

Example #1 lcfirst example

`<?php
$foo = 'HelloWorld';
$foo = lcfirst($foo); // helloWorld
$bar = 'HELLO WORLD!';
$bar = lcfirst($bar); // hELLO WORLD!
$bar = lcfirst(strtoupper($bar)); // hELLO WORLD!
?>`

### See Also

- ucfirst
- strtolower
- strtoupper
- ucwords